using UnityEngine;

namespace Camera
{
	[CreateAssetMenu(menuName = "Managers/CameraManager")]
	public class CameraManager : ScriptableObject
	{
		private CameraController currentCameraController;

		public CameraController CurrentCameraController
		{
			get { return currentCameraController; }
		}

		public UnityEngine.Camera GameCamera
		{
			get
			{
				return currentCameraController.GameCamera;
			}
		}

		public void RegisterCameraController(CameraController cameraController)
		{
			currentCameraController = cameraController;
		}
	}
}
